org.eclipse.incquery.runtime.rete.misc

## Class SimpleReceiver

- java.lang.Object
- - org.eclipse.incquery.runtime.rete.network.BaseNode
  - - org.eclipse.incquery.runtime.rete.misc.SimpleReceiver

- All Implemented Interfaces:
    Node, Receiver
  Direct Known Subclasses:
    Bag, CallbackNode, DeltaMonitor

      public abstract class SimpleReceiver
      extends BaseNode
      implements Receiver

  Author:
    Bergmann Gabor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleReceiver(ReteContainer reteContainer)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendParent(Supplier supplier)` appends a parent that will continously send insert and revoke updates to this supplier
    `void` | `assignTraceInfo(TraceInfo traceInfo)` assigns new traceability info to this node
    `void` | `disconnectFromNetwork()` Disconnects this node from the network.
    `java.util.Collection<Supplier>` | `getParents()` access active parent
    `void` | `removeParent(Supplier supplier)` removes a parent

    - ### Methods inherited from class org.eclipse.incquery.runtime.rete.network.BaseNode

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Receiver

      `update`

    - ### Methods inherited from interface org.eclipse.incquery.runtime.rete.network.Node

      `acceptPropagatedTraceInfo, getContainer, getNodeId, getTag, getTraceInfos, setTag`

- - ### Constructor Detail

    - #### SimpleReceiver

          public SimpleReceiver(ReteContainer reteContainer)

      Parameters:
        `reteContainer` -

  - ### Method Detail

    - #### appendParent

          public void appendParent(Supplier supplier)

      Description copied from interface: `Receiver`
      appends a parent that will continously send insert and revoke updates to this supplier
      Specified by:
        `appendParent` in interface `Receiver`

    - #### removeParent

          public void removeParent(Supplier supplier)

      Description copied from interface: `Receiver`
      removes a parent
      Specified by:
        `removeParent` in interface `Receiver`

    - #### getParents

          public java.util.Collection<Supplier> getParents()

      Description copied from interface: `Receiver`
      access active parent
      Specified by:
        `getParents` in interface `Receiver`

    - #### disconnectFromNetwork

          public void disconnectFromNetwork()

      Disconnects this node from the network. Can be called publicly.

    - #### assignTraceInfo

          public void assignTraceInfo(TraceInfo traceInfo)

      Description copied from interface: `Node`
      assigns new traceability info to this node
      Specified by:
        `assignTraceInfo` in interface `Node`
      Overrides:
        `assignTraceInfo` in class `BaseNode`